#ifndef _LCD_H
#define _LCD_H


void lcd_wait(volatile unsigned long delay);
void LCD_Clear(void);
void LCD_SEND_CHR(unsigned char character);
void LCD_SEND_CMD(unsigned char command);
void LCD_Send_Symbol(unsigned char row, unsigned char position, unsigned char symbol);
void LCD_Init(void);

void LCD_Set_BlackLight(uint8_t value);

extern uint8_t BLACKLIGHT;


#define	RS_ON               PORTA |= 0x20;
#define	RS_OFF              PORTA &= ~0x20;
#define	EN_ON               PORTA |= 0x10;
#define EN_OFF		    PORTA &= ~0x10;


#endif
